Package com.collibra.dgc.core.api.model

# Interface Resource

All Superinterfaces:
  `Entity`, `Serializable`

All Known Subinterfaces:
  `Address`, `ArticulationRule`, `Asset`, `AssetType`, `Assignment`, `Attachment`, `Attribute`, `AttributeType`, `BooleanAttribute`, `BooleanAttributeType`, `Comment`, `Community`, `ComplexRelation`, `ComplexRelationAttributeType`, `ComplexRelationLeg`, `ComplexRelationLegType`, `ComplexRelationType`, `DataQualityMetric`, `DataQualityRule`, `DateAttribute`, `DateAttributeType`, `DerivedRelationType`, `Domain`, `DomainType`, `Email`, `InstantMessagingAccount`, `Job`, `Mapping`, `MultiValueListAttribute`, `MultiValueListAttributeType`, `NamedDescribedResource`, `NamedResource`, `NumericAttribute`, `NumericAttributeType`, `Organization`, `PhoneNumber`, `Rating`, `Relation`, `RelationTrace`, `RelationType`, `Responsibility`, `Role`, `Scope`, `ScriptAttribute`, `ScriptAttributeType`, `SingleValueListAttribute`, `SingleValueListAttributeType`, `Status`, `StringAttribute`, `StringAttributeType`, `Tag`, `Trait`, `TraitAssignment`, `User`, `UserGroup`, `ValidationResult`, `ViewPermission`, `Website`, `WorkflowDefinition`, `WorkflowInstance`, `WorkflowTask`

public interface Resource extends Entity
Represents a generic resource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `getCreatedBy()`
  Returns the id of the user who created this resource.
  `Long`
  `getCreatedOn()`
  Returns the timestamp (in UTC time standard) of the creation of this resource.
  `UUID`
  `getLastModifiedBy()`
  Returns the id of the user who most recently modified this resource.
  `Long`
  `getLastModifiedOn()`
  Returns timestamp (in UTC time standard) of the last modification of this resource.
  `ResourceType`
  `getResourceType()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `boolean`
  `isSystem()`
  Returns whether this is a system resource or not.

  ### Methods inherited from interface Entity

  `getId, setId`

- ## Method Details

  - ### getResourceType

    @Deprecated(since="2024.10", forRemoval=true) ResourceType getResourceType()
    Deprecated, for removal: This API element is subject to removal in a future version.
    The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
    Returns:
      the type of this resource

  - ### isSystem

    boolean isSystem()
    Returns whether this is a system resource or not.
    Returns:
      true if this resource is a system resource, `false` otherwise

  - ### getCreatedBy

    UUID getCreatedBy()
    Returns the id of the user who created this resource.
    Returns:
      the id of the user who created this resource

  - ### getLastModifiedBy

    UUID getLastModifiedBy()
    Returns the id of the user who most recently modified this resource.
    Returns:
      the id of the user who most recently modified this resource

  - ### getCreatedOn

    Long getCreatedOn()
    Returns the timestamp (in UTC time standard) of the creation of this resource.
    Returns:
      the timestamp (in UTC time standard) of the creation of this resource

  - ### getLastModifiedOn

    Long getLastModifiedOn()
    Returns timestamp (in UTC time standard) of the last modification of this resource.
    Returns:
      the timestamp (in UTC time standard) of the last modification of this resource